Subject: Re: Trainer Candidate - Rakesh Mohan
From: HR Livesalesman <[email-masked]>
To: Deeksha Dadu <[email-masked]>
Date: Fri, 4 Jun 2021 01:38:56 -0700 (MST)

Hi Ma'am, 

He started his career with Bharti Airtel as a CCE. There he was into Outbound sales and Collections. He worked there for 3 Years. 
Then he moved to Aegis BPO as a Team leader in Vodafone process for Inbound Customer support, and later got promoted as Assistant Manager. There also he worked for 3 years. 
Then he moved to Spanco BPO, There he was Idea process he joined as a Process Manager for Inbound customer service. 
After working 3 years he moved to Rural Shores BPO as a Center Manager There he was responsible for Real estate projects. The process of lead generation was there. There he worked for 2 Years. 
Then he moved to Allsec technologies as an AM for Pizzahut process, the process was again into Customer service, there hewas only for couple of months. 
Then he joined ICCS BPO as an Operation Manager for Dish TV/ d2h, Apple projects. That was an outbound sales process. He worked there for 4 Years. Then he joined Digitech Pvt. Ltd. as a Senior operation manager. Here he used to handle Maxlife Insurance, Apeejay, Easy loan, Ready cash. 
But he is having all domestic and calling experience. I dont think that will work for us. but he was seems to be smart enough to learn our system. 

His current salary is 8.40 lpa 
Expectation - Negotiable 
Notice period- 15 days 

Regards, 
Harpreet Jaswal 
Cherry E Commerce Services Pvt. Ltd . 
Noida, India 
+911204332621 Ex.12 
+917042335393 

----- On Jun 3, 2021, at 5:45 PM, Deeksha Dadu <[email-masked]> wrote: 

Do first round of this guy, for account manage position Landmark. Need details on his work ex 

From: Rakesh Mohan < [ mailto:[email-masked] | [email-masked] ] > 
Reply-To: " [ mailto:[email-masked] | [email-masked] ] " < [ mailto:[email-masked] | [email-masked] ] > 
Date: Thursday, 3 June 2021 at 3:29 PM 
To: Saurabh Dadu < [ mailto:[email-masked] | [email-masked] ] >, " [ mailto:[email-masked] | [email-masked] ] " < [ mailto:[email-masked] | [email-masked] ] >, Deeksha Dadu < [ mailto:[email-masked] | [email-masked] ] >, Ashish Dabral < [ mailto:[email-masked] | [email-masked] ] > 
Subject: Trainer Candidate - Rakesh Mohan 

	

	
	
			Tech Support Test 
		
	Name 	Rakesh Mohan 
	E-mail 	[ mailto:[email-masked] | [email-masked] ] 
	Phone Number 	(0120) 201014 
	Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station 	I have my own 2/4 wheeler transport 
	Where do you currently live (area) 	Indrapuram, Ghaziabad 
	Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA 	
Name of Company Designation Last working day Monthly Salary (inhand) 
Current Employer 	Digitech call system 	Senior Manager 		70000/- 
Previous Employer 1 	Iccs BPO 	Service Delivery Manager 		57000/- 
Previous Employer 2 	Rural shores BPO 	Call Center Manager 		40000/- 
	If Selected, how much time do you need to join? 	15 
	Please briefly describe your work experience specifically in training? 	A service-focused professional offering nearly 15 years of notable contribution in the entire gamut of Customer Service and Call Center Operations Management in the . Proficient in giving the best in class Customer Service standard at Call Centres in Inbound Operations, Backend Operations, Outbound Operations . 

Proficient at managing process operations & experience of developing procedures, service standards for business excellence 

	Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? 	No 
	Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. 	Managing a team is ideally a core competencies of any of the supervisor/leader and this should be handled efficiently. Good leader always create a good team but there are certain situation wherein process get impacted due to inadequate required resources which turn to the tough situation. Recent challenge is work from home option which has created unnecessary disaster to manage the team remotely without impacting the metrics, below are the pointers for your reference 
1. Dialer support, tough to get people logged in due to dialer issues, difficult to call agents many times to login 
2. Technical support/Connectivity issues which impact overall customer experience. 
3. Pre/Post shift briefing to the Work from home associates. 
4. Lot of technical challenges while connecting people on Zoom app for any further training and refresher 
5. Very difficult to do real time monitoring. 
6. Feedback and coaching is missing with most of the under performing agents. 
7. Transferring the escalation calls is a challenges. 
8. frequent login/logout which leads productivity loss. 
9. Real time monitoring and assistance is the biggest challenge. 
10. data security breach. 
	What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) 	Customer service is good once we reach to the customer expectation and ensure to provide him all required information, I believe satisfied customer expectations ends at 100% wherein Customer delight starts from 100% so to improve the customer experience below points needs to be strictly adhered. 
Provide easy way to contact you 
Add personal touch 
Query resolution as per the customer expectation which feel customer delight 
Information delivery 
Customer follow up 
Feedback calling. 

	What according to you makes you a good candidate for this position? 	Looking at the profile requirement, I strongly believe thatI have all those skill set and qualities to perform the job and give immediate impact, I am quick learner and shall meet the target as soon as possible. I am kind of leader who believe in helping and developing the team skillset as per the requirement & trust me if you hire me, you will find the trustworthy, honest and loyal leader who will put in hard efforts for organization goal. Hiring me like immediate return on your investment. I am positive thinker and I genuinely believe in team work to reach to the organization objective. 
	On a scale of 1 - 5 please rate your fluency in spoken English 	4